.section-content-rows {
  .content-rows {
    display: grid;
    gap: 100px;
  }

  .row {
    --right-size: minmax(auto, 430px);
    --left-size: minmax(auto, 54vw);

    display: flex;
    position: relative;

    &:nth-child(odd) {
      justify-content: flex-end;
    }

    .deco-img {
      width: 320px;
      position: absolute;
      bottom: 0;
    }

    &:nth-child(odd) .deco-img {
      right: 20px;
    }

    .wrapper {
      display: grid;
      grid-template-columns: var(--right-size) var(--left-size);
      align-items: center;
      gap: 52px;
    }

    &:nth-child(even) .wrapper {
      grid-template-columns: var(--left-size) var(--right-size);
    }

    .right {
      padding-inline-start: 30px;
    }

    &:nth-child(even) .right {
      order: 2;
      padding-inline: 0 30px;
      margin-inline: 0 auto;
    }

    h3 {
      font-size: var(--fs-30px);
      letter-spacing: 0.02em;
      padding-block-end: 2rem;
    }

    .description {
      padding-block-end: 2.5rem;
    }

    .left img {
      width: 100%;
      border-radius: 5px;
    }
  }
}

@media (max-width: 1023px) {
  .section-content-rows .content-rows {
    gap: 60px;
  }

  .section-content-rows .row {
    h3 {
      padding-block-end: 1rem;
    }

    .wrapper {
      gap: 32px;
    }
  }
}

@media (max-width: 767px) {
  .section-content-rows {
    padding-inline: var(--padding-site);
  }

  .section-content-rows .content-rows {
    gap: 48px;
  }

  .section-content-rows .row {
    justify-content: unset;
  }

  .section-content-rows .row .wrapper,
  .section-content-rows .row:nth-child(even) .wrapper {
    grid-template-columns: 1fr;
    gap: 20px;
  }

  .section-content-rows .row:nth-child(even) .right {
    order: unset;
    padding-inline: 0;
    margin-inline: 0;
  }

  .section-content-rows .row .right {
    padding-inline-start: 0;
  }

  .section-content-rows .row .deco-img {
    display: none;
  }
}